libcdr::CMXParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libcdr::CMXParser Class Reference

`#include <CMXParser.h>`

Inheritance diagram for libcdr::CMXParser:

## Public Member Functions
| CMXParser (CDRCollector *collector)
virtual | ~CMXParser ()
bool | parseRecords (librevenge::RVNGInputStream *input, long size=-1, unsigned level=0)

## Private Member Functions
| CMXParser ()
| CMXParser (const CMXParser &)
CMXParser & | operator= (const CMXParser &)
bool | parseRecord (librevenge::RVNGInputStream *input, unsigned level=0)
void | readRecord (unsigned fourCC, unsigned &length, librevenge::RVNGInputStream *input)
void | readCMXHeader (librevenge::RVNGInputStream *input)
void | readDisp (librevenge::RVNGInputStream *input, unsigned length)
void | readCcmm (librevenge::RVNGInputStream *input, long &recordEnd)
void | readPage (librevenge::RVNGInputStream *input, unsigned length)
void | readBeginPage (librevenge::RVNGInputStream *input)
void | readBeginLayer (librevenge::RVNGInputStream *input)
void | readBeginGroup (librevenge::RVNGInputStream *input)
void | readPolyCurve (librevenge::RVNGInputStream *input)
void | readEllipse (librevenge::RVNGInputStream *input)
void | readRectangle (librevenge::RVNGInputStream *input)
void | readJumpAbsolute (librevenge::RVNGInputStream *input)
CDRTransform | readMatrix (librevenge::RVNGInputStream *input)
CDRBox | readBBox (librevenge::RVNGInputStream *input)
void | readFill (librevenge::RVNGInputStream *input)
void | readRenderingAttributes (librevenge::RVNGInputStream *input)

## Private Attributes
bool | m_bigEndian
unsigned short | m_unit
double | m_scale
double | m_xmin
double | m_xmax
double | m_ymin
double | m_ymax
unsigned | m_indexSectionOffset
unsigned | m_infoSectionOffset
unsigned | m_thumbnailOffset
unsigned | m_fillIndex
unsigned | m_nextInstructionOffset

## Additional Inherited Members
Protected Member Functions inherited from libcdr::CommonParser
double | readRectCoord (librevenge::RVNGInputStream *input, bool bigEndian=false)
double | readCoordinate (librevenge::RVNGInputStream *input, bool bigEndian=false)
unsigned | readUnsigned (librevenge::RVNGInputStream *input, bool bigEndian=false)
unsigned short | readUnsignedShort (librevenge::RVNGInputStream *input, bool bigEndian=false)
int | readInteger (librevenge::RVNGInputStream *input, bool bigEndian=false)
double | readAngle (librevenge::RVNGInputStream *input, bool bigEndian=false)
void | processPath (const std::vector< std::pair< double, double > > &points, const std::vector< unsigned char > &types, CDRPath &path)
void | outputPath (const std::vector< std::pair< double, double > > &points, const std::vector< unsigned char > &types)
| CommonParser (CDRCollector *collector)
virtual | ~CommonParser ()
Protected Attributes inherited from libcdr::CommonParser
CDRCollector * | m_collector
CoordinatePrecision | m_precision

## Constructor & Destructor Documentation

libcdr::CMXParser::CMXParser | ( | libcdr::CDRCollector * | collector | ) |
| explicit

libcdr::CMXParser::~CMXParser | ( |  | ) |
| virtual

libcdr::CMXParser::CMXParser | ( |  | ) |
| private

libcdr::CMXParser::CMXParser | ( | const CMXParser & |  | ) |
| private

## Member Function Documentation

CMXParser& libcdr::CMXParser::operator= | ( | const CMXParser & |  | ) |
| private

bool libcdr::CMXParser::parseRecord | ( | librevenge::RVNGInputStream * | input,
|  | unsigned | level = `0`
| ) |  |
| private

bool libcdr::CMXParser::parseRecords | ( | librevenge::RVNGInputStream * | input,
|  | long | size = `-1`,
|  | unsigned | level = `0`
| ) |  |

Referenced by libcdr::CMXDocument::parse().

libcdr::CDRBox libcdr::CMXParser::readBBox | ( | librevenge::RVNGInputStream * | input | ) |
| private

void libcdr::CMXParser::readBeginGroup | ( | librevenge::RVNGInputStream * | input | ) |
| private

void libcdr::CMXParser::readBeginLayer | ( | librevenge::RVNGInputStream * | input | ) |
| private

void libcdr::CMXParser::readBeginPage | ( | librevenge::RVNGInputStream * | input | ) |
| private

void libcdr::CMXParser::readCcmm | ( | librevenge::RVNGInputStream * | input,
|  | long & | recordEnd
| ) |  |
| private

void libcdr::CMXParser::readCMXHeader | ( | librevenge::RVNGInputStream * | input | ) |
| private

void libcdr::CMXParser::readDisp | ( | librevenge::RVNGInputStream * | input,
|  | unsigned | length
| ) |  |
| private

void libcdr::CMXParser::readEllipse | ( | librevenge::RVNGInputStream * | input | ) |
| private

void libcdr::CMXParser::readFill | ( | librevenge::RVNGInputStream * | input | ) |
| private

void libcdr::CMXParser::readJumpAbsolute | ( | librevenge::RVNGInputStream * | input | ) |
| private

libcdr::CDRTransform libcdr::CMXParser::readMatrix | ( | librevenge::RVNGInputStream * | input | ) |
| private

void libcdr::CMXParser::readPage | ( | librevenge::RVNGInputStream * | input,
|  | unsigned | length
| ) |  |
| private

void libcdr::CMXParser::readPolyCurve | ( | librevenge::RVNGInputStream * | input | ) |
| private

void libcdr::CMXParser::readRecord | ( | unsigned | fourCC,
|  | unsigned & | length,
|  | librevenge::RVNGInputStream * | input
| ) |  |
| private

void libcdr::CMXParser::readRectangle | ( | librevenge::RVNGInputStream * | input | ) |
| private

void libcdr::CMXParser::readRenderingAttributes | ( | librevenge::RVNGInputStream * | input | ) |
| private

## Member Data Documentation

bool libcdr::CMXParser::m_bigEndian
| private

unsigned libcdr::CMXParser::m_fillIndex
| private

unsigned libcdr::CMXParser::m_indexSectionOffset
| private

unsigned libcdr::CMXParser::m_infoSectionOffset
| private

unsigned libcdr::CMXParser::m_nextInstructionOffset
| private

double libcdr::CMXParser::m_scale
| private

unsigned libcdr::CMXParser::m_thumbnailOffset
| private

unsigned short libcdr::CMXParser::m_unit
| private

double libcdr::CMXParser::m_xmax
| private

double libcdr::CMXParser::m_xmin
| private

double libcdr::CMXParser::m_ymax
| private

double libcdr::CMXParser::m_ymin
| private

The documentation for this class was generated from the following files:

- CMXParser.h
- CMXParser.cpp